unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, EditBtn, FileCtrl, Grids;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    ComboBox1: TComboBox;
    Memo1: TMemo;
    SelectDirectoryDialog1: TSelectDirectoryDialog;
    StringGrid1: TStringGrid;
    procedure Button1Click(Sender: TObject);
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  FindFile: boolean;
  Zeilenanzahl: integer;
implementation

{$R *.lfm}

{ TForm1 }
procedure fill_stringgrid(Spalte:integer; Ergebnis: TStringList);
   var  i: byte;
begin
Form1.StringGrid1.RowCount:=Ergebnis.Count+1;
for i:= 0 to Ergebnis.count-1 do
  Form1.StringGrid1.Cells[1,i+1]:=ergebnis.Strings[i];
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  Ergebnis: TStringList;
  SuchString: string;
  i,j: byte;
  Zeilenanzahl: integer;
  iMax: integer;

begin
  i:=0;
  SuchString:='*.pdf;*.dwg';
  Memo1.Append(SuchString);
  Ergebnis := TStringList.Create;
  Ergebnis.Clear;
  try
     begin
       if SelectDirectoryDialog1.Execute and (SelectDirectoryDialog1.FileName <> '') then
       begin
            FindAllFiles(Ergebnis, SelectDirectoryDialog1.FileName,SuchString,false);
       end;
       //Dateiname in Memo anzeigen
       Memo1.Lines.AddStrings(Ergebnis);
       // Links oben einen Text ausgeben
       StringGrid1.InsertRowWithValues(0,['StringGrid1']);
       // Spaltenbreite anpassen
        StringGrid1.AutoSizeColumns();
     StringGrid1.AutoSizeColumn(0);
       // Dateinamen inkl. Pfade in StringGrid eintragen
       fill_stringgrid(1, Ergebnis);
     end;
  finally
    Ergebnis.Free;
  end;
end;

{
procedure trim_right(Suchbegriff:string; Ergebnis: TStringList);
var
laenge: integer;
dateiname: string;
position: integer;

begin
Suchbegriff:='DAU';
dateiname:='hjhsdsdnarbauzncraw-dau_asziufsd';
laenge:= Length (dateiname);
position:= pos(lowercase(suchbegriff),lowercase(dateiname));
writeln (copy(dateiname,position,laenge-position)+'###');
end.
}


end.

